Name:           python-blosc2
Version:        2.6.2
Release:        %mkrel 2
Summary:        Python wrapper for the Blosc2 compression library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://blosc.org/python-blosc2/python-blosc2.html
Source:         https://github.com/Blosc/python-blosc2/archive/v%{version}/python-blosc2-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(scikit-build)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(blosc2) >= 2.13.1

%description
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%package -n python3-blosc2
Summary:        Python3 wrapper for the Blosc2 compression library
Group:          Development/Python

%description -n python3-blosc2
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%prep
%autosetup -p1

# This seems to be the best way to prevent the "bespoke build system" from doing
# a git clone.
rmdir blosc2/c-blosc2

# Did I say "bespoke build system"? Who needs configuration options.
# Configuration options are for woosies.
sed -r -i '/include_package_data=.*/a cmake_args=["-DUSE_SYSTEM_BLOSC2:BOOL=ON"],' \
    setup.py

# Those dependencies are generated incorrectly
sed -r -i 's/"(cmake|ninja)",//g; s/oldest-supported-//g' pyproject.toml

sed -i 's|numpy>=2.0.0rc1|numpy>=1.19.3|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires requirements-test-wheels.txt

%build
export VERBOSE=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blosc2

%check
OPTIONS=(
)
%ifnarch %{ix86} %{arm}
%pytest tests/ "${OPTIONS[@]}" -v \
%endif

%files -n python3-blosc2 -f %{pyproject_files}
%doc README.rst RELEASE_NOTES.md


%changelog
* Thu Jul 25 2024 daviddavid <daviddavid> 2.6.2-2.mga10
+ Revision: 2082567
- rebuild for blosc2 2.15.0

* Mon Apr 22 2024 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2060508
- new version: 2.6.2
- new version: 2.6.1

* Sun Feb 25 2024 daviddavid <daviddavid> 2.5.1-1.mga10
+ Revision: 2044167
- initial package python-blosc2

